{
  "openapi": "3.1.0",
  "info": {
    "title": "Alerts",
    "description": "Our alerting solution is centered around two concepts: events and channels. The occurrence of an event can be configured to trigger an alert. A channel describes the delivery method for an alert. Every configured alert consists of an event type / channel pair. This level of granularity allows alerting to be configured to your exact preference.",
    "version": "0.0.1"
  },
  "servers": [
    {
      "url": "https://api.mailgun.net",
      "description": "US Mailgun"
    },
    {
      "url": "https://api.eu.mailgun.net",
      "description": "EU Mailgun"
    }
  ],
  "tags": [
    {
      "name": "Alerts",
      "x-displayName": "Alerts"
    },
    {
      "name": "Domains",
      "x-displayName": "Domains"
    },
    {
      "name": "IP Blocklist Monitoring",
      "x-displayName": "IP Blocklist Monitoring"
    },
    {
      "name": "Domain Blocklist Monitoring",
      "description": "Blocklist Monitoring enables you to keep an eye on your reputation. Monitor your domains against our curated list of blocklist providers to make sure you aren't being blocked.",
      "x-displayName": "Domain Blocklist Monitoring"
    },
    {
      "name": "Spam Traps Monitoring",
      "description": "Our spam trap monitoring service surfaces how much of your email is being sent to known spam traps.",
      "x-displayName": "Spam Traps Monitoring"
    },
    {
      "name": "openapi-spamtraps_other",
      "x-displayName": "other"
    },
    {
      "name": "Inbox Placement",
      "description": "Inbox Placement testing allows you to see the likely deliverability of your email campaigns.",
      "x-displayName": "Inbox Placement"
    },
    {
      "name": "Email Health Score",
      "x-displayName": "Email Health Score"
    },
    {
      "name": "DMARC Reports",
      "description": "DMARC reporting provides valuable insights into your infrastructure, helping you identify potential issues like senders, misconfigured email servers, or phishing attempts.",
      "x-displayName": "DMARC Reports"
    },
    {
      "name": "Google Postmaster Tools",
      "description": "This API provides access to Google Postmaster data.",
      "x-displayName": "Google Postmaster Tools"
    },
    {
      "name": "Microsoft SNDS",
      "description": "This API provides access to Microsoft SNDS data.",
      "x-displayName": "Microsoft SNDS"
    }
  ],
  "paths": {
    "/v1/alerts/events": {
      "get": {
        "tags": [
          "Alerts"
        ],
        "summary": "List events",
        "description": "The current list of events that you can chose to receive alerts for.",
        "operationId": "GET-v1-alerts-events",
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-alerts-internal-api-ListAlertsEventsResp"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "events": [
                        "ip_listed",
                        "ip_delisted"
                      ]
                    }
                  }
                }
              }
            }
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/alerts/settings/events": {
      "post": {
        "tags": [
          "Alerts"
        ],
        "summary": "Add Alert",
        "description": "Use this endpoint to add new alert settings record. This service facilitates notifications (Webhook, Slack, or Email) for both Mailgun Optimize and Send Alert threshold breaches.\n\n### Webhooks\n\nThis section covers details around consuming alerts via webhooks. If you are familiar with Mailgun Send webhooks (which provide status updates on individual email deliveries), \nthere is a lot of overlapping similarity, however, there are also a few minor nuances to account for.\n\n#### Securing Webhooks\n\nHMAC is used to verify the integrity as well as the authenticity of received webhooks. To verify the origin of a webhook:\n\n1. Encode the webhook’s entire POST request body with the HMAC algorithm (using your webhook signing key and SHA256 digest mode)\n2. Compare the resulting hexdigest to the signature provided in the POST request’s X-Sign header.\n\nNOTE: If you’re consuming Mailgun Send webhooks, please note that your Mailgun Send webhook signing key differs \nfrom your Alerts webhook signing key. \nYour Alerts webhook signing keys, used for both Optimize and Send Alert products, are available within the Mailgun Alerts UI.\n\n#### Webhook URL Validation\n\nWhen adding or updating a webhook URL for alerts, we will ensure the endpoint is reachable by sending a GET request to the provided URL. If a 200 response is not returned from your endpoint, the request will be rejected and your alert setting will not be saved. We intentionally chose to send a GET request instead of a POST when validating URLs so that your webhook endpoint does not have to account for test requests.\n\nAdditionally, when a POST request is sent to your webhook URL, if a 2xx is not returned, we will attempt retries via an exponential backoff strategy for up to ~8 hours. If the max retry count is reached, the alert will be disabled and the related alert settings record’s disabled_at field will be populated.",
        "operationId": "POST-v1-alerts-settings-events",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/github.com-mailgun-alerts-internal-api-mutateEventSettingReq"
              },
              "examples": {
                "Example": {
                  "value": {
                    "event_type": "ip_listed",
                    "channel": "webhook",
                    "settings": {
                      "url": "https://yourwebhookurl.com"
                    }
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-alerts-internal-settings-EventSettings"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "id": "00000000-0000-0000-0000-000000000000",
                      "event_type": "ip_listed",
                      "channel": "webhook",
                      "settings": {
                        "url": "https://yourwebhookurl.com"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "409": {
            "description": "A 409 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/alerts/settings/events/{id}": {
      "put": {
        "tags": [
          "Alerts"
        ],
        "summary": "Update Alert",
        "description": "Use this endpoint to update an existing alert setting record.\n\nNOTE: When updating a webhook alert, we will ensure the endpoint is reachable by sending a GET request to the provided URL. If a 200 response is not returned, a 400 will be returned and the alert setting update will be rejected.",
        "operationId": "PUT-v1-alerts-settings-events--id-",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The settings ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/github.com-mailgun-alerts-internal-api-mutateEventSettingReq"
              },
              "examples": {
                "Example": {
                  "value": {
                    "event_type": "ip_delisted",
                    "channel": "email",
                    "settings": {
                      "emails": [
                        "recipient-a@example.com",
                        "recipient-b@example.com"
                      ]
                    }
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "settings updated"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "404": {
            "description": "A 404 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      },
      "delete": {
        "tags": [
          "Alerts"
        ],
        "summary": "Remove Alert",
        "operationId": "DELETE-v1-alerts-settings-events--id-",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The settings ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "settings deleted"
                    }
                  }
                }
              }
            }
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/alerts/settings": {
      "get": {
        "tags": [
          "Alerts"
        ],
        "summary": "List Alerts",
        "description": "This endpoint returns a list of all configured alert settings for your account.",
        "operationId": "GET-v1-alerts-settings",
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-alerts-internal-api-SettingsResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "events": [
                        {
                          "id": "00000000-0000-0000-0000-000000000000",
                          "event_type": "ip_listed",
                          "channel": "webhook",
                          "settings": {
                            "url": "https://example.com/delisted_hook"
                          }
                        },
                        {
                          "id": "00000000-0000-0000-0000-000000000000",
                          "event_type": "ip_delisted",
                          "channel": "webhook",
                          "settings": {
                            "url": "https://yourwebhookurl.com"
                          },
                          "disabled_at": "2006-01-02T22:04:05Z"
                        },
                        {
                          "id": "00000000-0000-0000-0000-000000000000",
                          "event_type": "ip_delisted",
                          "channel": "email",
                          "settings": {
                            "emails": [
                              "recipient-1@example.com",
                              "recipient-2@example.com"
                            ]
                          }
                        }
                      ],
                      "webhooks": {},
                      "slack": {}
                    }
                  }
                }
              }
            }
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/alerts/settings/slack": {
      "put": {
        "tags": [
          "Alerts"
        ],
        "summary": "Update Slack settings",
        "operationId": "PUT-v1-alerts-settings-slack",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/github.com-mailgun-alerts-internal-settings-Slack"
              }
            }
          },
          "required": true
        },
        "responses": {
          "204": {
            "description": "A 204 response"
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      },
      "delete": {
        "tags": [
          "Alerts"
        ],
        "summary": "Delete Slack settings",
        "description": "Delete Slack settings and Slack event settings for the Mailgun account.\n\nTo revoke the Slack access token, use DELETE /v1/alerts/slack/oauth.\n\nTo completely remove the Slack App from Slack Workspace, go into App Configuration in Slack.",
        "operationId": "DELETE-v1-alerts-settings-slack",
        "responses": {
          "204": {
            "description": "A 204 response"
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/alerts/settings/webhooks/signing_key": {
      "put": {
        "tags": [
          "Alerts"
        ],
        "summary": "Reset Webhook Signing Key",
        "operationId": "PUT-v1-alerts-settings-webhooks-signing-key",
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-alerts-internal-api-ResetWebhooksSigningKeyResp"
                }
              }
            }
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/alerts/webhooks/test": {
      "post": {
        "tags": [
          "Alerts"
        ],
        "summary": "Test webhook",
        "description": "Sends test webhook request to specified url with dummy data.",
        "operationId": "POST-v1-alerts-webhooks-test",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/github.com-mailgun-alerts-internal-api-TestWebhookRequest"
              },
              "examples": {
                "Example": {
                  "value": {
                    "event_type": "some-event",
                    "url": "https://some-webhook-url.com/webhook"
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/alerts/email/test": {
      "post": {
        "tags": [
          "Alerts"
        ],
        "summary": "Test message",
        "description": "Sends test message to emails with dummy data.",
        "operationId": "POST-v1-alerts-email-test",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/github.com-mailgun-alerts-internal-api-TestEmailRequest"
              },
              "examples": {
                "Example": {
                  "value": {
                    "event_type": "some-event",
                    "emails": [
                      "email1@example.com",
                      "email2@example.com"
                    ]
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/alerts/slack/test": {
      "post": {
        "tags": [
          "Alerts"
        ],
        "summary": "Test message",
        "description": "Sends test message to slack channels with dummy data.",
        "operationId": "POST-v1-alerts-slack-test",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/github.com-mailgun-alerts-internal-api-TestSlackRequest"
              },
              "examples": {
                "Example": {
                  "value": {
                    "event_type": "some-event",
                    "channel_ids": [
                      "C0123",
                      "C0456"
                    ]
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/alerts/slack/oauth": {
      "delete": {
        "tags": [
          "Alerts"
        ],
        "summary": "Revoke Slack access token",
        "description": "Revoke Slack access token, delete Slack settings and Slack event settings.\n\nNOTE: All Mailgun accounts connected to the same Slack workspace share the same token.\n\nTo completely remove the Slack App from Slack Workspace, go into App Configuration in Slack.",
        "operationId": "DELETE-v1-alerts-slack-oauth",
        "responses": {
          "204": {
            "description": "A 204 response"
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/alerts/slack/channels/{id}": {
      "get": {
        "tags": [
          "Alerts"
        ],
        "summary": "Get Slack channel",
        "description": "Returns Slack channel.",
        "operationId": "GET-v1-alerts-slack-channels--id-",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The Slack channel ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-alerts-internal-api-SlackChannel"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "id": "C012AB3CD",
                      "name": "general"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "A 401 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "token should have 'xoxb-' prefix"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "A 403 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "missing_scope: please reconnect the Slack App"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "A 404 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "no settings"
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/alerts/slack/channels": {
      "get": {
        "tags": [
          "Alerts"
        ],
        "summary": "List Slack channels",
        "description": "List Slack channels for the connected Slack workspace.",
        "operationId": "GET-v1-alerts-slack-channels",
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "description": "Encoded paging information, provided via 'next', 'first' links",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Limits the number of items returned in a request",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-alerts-internal-api-ListSlackChannelsResp"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "items": [
                        {
                          "id": "C012AB3CD",
                          "name": "general"
                        }
                      ],
                      "paging": {
                        "first": "https://api.mailgun.net/v1/alerts/slack/channels?page=foo",
                        "next": "https://api.mailgun.net/v1/alerts/slack/channels?page=bar"
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "A 401 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "token should have 'xoxb-' prefix"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "A 403 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "missing_scope: please reconnect the Slack App"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "A 404 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "no settings"
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/inboxready/domains": {
      "get": {
        "tags": [
          "Domains"
        ],
        "summary": "Returns Domains on Mailgun Optimize services",
        "description": "Will return details on an Mailgun Optimize Domain. If no Domain is provided, then a list of all Mailgun Optimize Domains on an account will be returned.",
        "operationId": "GET-v1-inboxready-domains",
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "description": "Limit",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "domain",
            "in": "query",
            "description": "Domain name",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "include_subaccounts",
            "in": "query",
            "description": "Include subaccounts",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-inboxready-api-DomainListResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "items": [
                        {
                          "name": "domain.tld",
                          "verified": {
                            "verified_at": 123456789,
                            "status": "pending"
                          },
                          "services": {
                            "service_name": false
                          },
                          "txt_record": "IR-hashed-txt-record-key"
                        }
                      ],
                      "paging": {
                        "previous": "https://....",
                        "first": "https://....",
                        "next": "https://....",
                        "last": "https://...."
                      }
                    }
                  }
                }
              }
            }
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      },
      "post": {
        "tags": [
          "Domains"
        ],
        "summary": "Add a single domain to an account",
        "operationId": "POST-v1-inboxready-domains",
        "parameters": [
          {
            "name": "domain",
            "in": "query",
            "description": "Domain name",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-inboxready-api-AddDomainResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "The domain has been added",
                      "domain": {
                        "name": "domain.tld",
                        "verified": {
                          "verified_at": 123456789,
                          "status": "pending"
                        },
                        "services": {
                          "service_name": false
                        },
                        "txt_record": "IR-hashed-txt-record-key"
                      }
                    }
                  }
                }
              }
            }
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      },
      "delete": {
        "tags": [
          "Domains"
        ],
        "summary": "Deletes a single domain from an account",
        "operationId": "DELETE-v1-inboxready-domains",
        "parameters": [
          {
            "name": "domain",
            "in": "query",
            "description": "Domain name",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-inboxready-api-DeleteDomainResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "domain.tld has been removed from Mailgun Optimize"
                    }
                  }
                }
              }
            }
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/inboxready/domains/verify": {
      "put": {
        "tags": [
          "Domains"
        ],
        "summary": "Queues a domain to be processed for verification",
        "operationId": "PUT-v1-inboxready-domains-verify",
        "parameters": [
          {
            "name": "domain",
            "in": "query",
            "description": "Domain name",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-inboxready-api-InboxReadyVerifyDomainResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "Domain pending verification"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-inboxready-api-InboxReadyVerifyDomainResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "No domain provided"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "A 404 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-inboxready-api-InboxReadyVerifyDomainResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "Domain not found"
                    }
                  }
                }
              }
            }
          },
          "default": {
            "description": "A default response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/inboxready/ip_addresses": {
      "get": {
        "tags": [
          "IP Blocklist Monitoring"
        ],
        "summary": "Lists monitored IP addresses",
        "operationId": "GET-v1-inboxready-ip-addresses",
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "description": "Limit",
            "schema": {
              "type": "integer",
              "default": 100
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-inboxready-api-ListIPAddressesResp"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "items": [
                        {
                          "ip": "127.0.0.1",
                          "ip_pool": "swimming",
                          "description": "this is a description",
                          "state": "listed",
                          "listed": [
                            {
                              "list": "b.barracudacentral.org",
                              "delist_requested_at": "0001-01-01T00:00:00Z",
                              "first_seen": "2021-06-14T13:46:52Z",
                              "last_seen": "2022-06-14T13:46:52Z",
                              "comments": [
                                "http://www.barracudanetworks.com/reputation/?pr=1&ip=127.0.0.1"
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "403": {
            "description": "A 403 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      },
      "post": {
        "tags": [
          "IP Blocklist Monitoring"
        ],
        "summary": "Register an IP address",
        "operationId": "POST-v1-inboxready-ip-addresses",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-inboxready-api-CreateIPAddressReq"
              },
              "examples": {
                "Example": {
                  "value": {
                    "UpdateIPAddressReq": {}
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "A 201 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-inboxready-clients-medic-IPAddress"
                },
                "examples": {
                  "Example": {
                    "value": [
                      {
                        "ip": "127.0.0.1",
                        "ippool": "swimming",
                        "description": "this is a description",
                        "state": "listed",
                        "listed": [
                          {
                            "list": "b.barracudacentral.org",
                            "delistrequestedat": "0001-01-01T00:00:00Z",
                            "firstseen": "2021-06-14T13:46:52Z",
                            "lastseen": "2022-06-14T13:46:52Z",
                            "comments": [
                              "http://www.barracudanetworks.com/reputation/?pr=1&ip=127.0.0.1"
                            ],
                            "name": ""
                          }
                        ]
                      }
                    ]
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "403": {
            "description": "A 403 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "409": {
            "description": "A 409 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/inboxready/ip_addresses/{ip}": {
      "get": {
        "tags": [
          "IP Blocklist Monitoring"
        ],
        "summary": "Get the IP address",
        "operationId": "GET-v1-inboxready-ip-addresses--ip-",
        "parameters": [
          {
            "name": "ip",
            "in": "path",
            "description": "IP address",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-inboxready-clients-medic-IPAddress"
                },
                "examples": {
                  "Example": {
                    "value": [
                      {
                        "ip": "127.0.0.1",
                        "ippool": "swimming",
                        "description": "this is a description",
                        "state": "listed",
                        "listed": [
                          {
                            "list": "b.barracudacentral.org",
                            "delistrequestedat": "0001-01-01T00:00:00Z",
                            "firstseen": "2021-06-14T13:46:52Z",
                            "lastseen": "2022-06-14T13:46:52Z",
                            "comments": [
                              "http://www.barracudanetworks.com/reputation/?pr=1&ip=127.0.0.1"
                            ],
                            "name": ""
                          }
                        ]
                      }
                    ]
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "403": {
            "description": "A 403 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "404": {
            "description": "A 404 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      },
      "put": {
        "tags": [
          "IP Blocklist Monitoring"
        ],
        "summary": "Update the IP address",
        "operationId": "PUT-v1-inboxready-ip-addresses--ip-",
        "parameters": [
          {
            "name": "ip",
            "in": "path",
            "description": "IP address",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-inboxready-api-UpdateIPAddressReq"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-inboxready-clients-medic-IPAddress"
                },
                "examples": {
                  "Example": {
                    "value": [
                      {
                        "ip": "127.0.0.1",
                        "ippool": "swimming",
                        "description": "this is a description",
                        "state": "listed",
                        "listed": [
                          {
                            "list": "b.barracudacentral.org",
                            "delistrequestedat": "0001-01-01T00:00:00Z",
                            "firstseen": "2021-06-14T13:46:52Z",
                            "lastseen": "2022-06-14T13:46:52Z",
                            "comments": [
                              "http://www.barracudanetworks.com/reputation/?pr=1&ip=127.0.0.1"
                            ],
                            "name": ""
                          }
                        ]
                      }
                    ]
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "403": {
            "description": "A 403 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          },
          "404": {
            "description": "A 404 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      },
      "delete": {
        "tags": [
          "IP Blocklist Monitoring"
        ],
        "summary": "Removes IP from monitoring",
        "operationId": "DELETE-v1-inboxready-ip-addresses--ip-",
        "parameters": [
          {
            "name": "ip",
            "in": "path",
            "description": "IP address",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": "A 204 response"
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "description of the error"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "A 403 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "IP Blocklist monitoring not enabled"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "A 404 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Ready_github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "ip address not found"
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/monitoring/domains": {
      "get": {
        "tags": [
          "Domain Blocklist Monitoring"
        ],
        "summary": "Get Monitored Domains",
        "description": "Gets all domains that are being monitored for blocklisting",
        "operationId": "GET-v1-monitoring-domains",
        "parameters": [
          {
            "name": "include_subaccounts",
            "in": "query",
            "description": "Include subaccounts",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Domain_Blocklist_Monitoring_github.com-mailgun-dbl_monitor-api-DomainsResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "domains": [
                        {
                          "domain": "yourdomain.com",
                          "updated_at": "2023-09-06T18:45:51Z",
                          "state": "heathly"
                        },
                        {
                          "domain": "yourotherdomain.com",
                          "updated_at": "2023-09-06T18:45:51Z",
                          "state": "listed",
                          "listed": [
                            {
                              "list": "dbl.spamhaus.org",
                              "name": "Spamhaus DBL",
                              "first_seen": "2023-01-02T02:14:27Z",
                              "last_seen": "2023-09-06T18:45:51Z"
                            }
                          ]
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Domain_Blocklist_Monitoring_github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "reason for bad request"
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/monitoring/domains/events": {
      "get": {
        "tags": [
          "Domain Blocklist Monitoring"
        ],
        "summary": "Get All Events",
        "description": "Get all events for all domains monitored",
        "operationId": "GET-v1-monitoring-domains-events",
        "parameters": [
          {
            "name": "include_subaccounts",
            "in": "query",
            "description": "Include subaccounts",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Domain_Blocklist_Monitoring_github.com-mailgun-dbl_monitor-api-EventsResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "events": [
                        {
                          "timestamp": "0001-01-01T00:00:00Z",
                          "event": "listed",
                          "domain": "yourotherdomain.com",
                          "account_id": "123",
                          "list": "Spamhaus DBL",
                          "name": "Spamhaus DBL"
                        },
                        {
                          "timestamp": "0001-01-01T00:00:00Z",
                          "event": "delisted",
                          "domain": "yourdomain.com",
                          "account_id": "123",
                          "list": "Spamhaus DBL",
                          "name": "Spamhaus DBL"
                        },
                        {
                          "timestamp": "0001-01-01T00:00:00Z",
                          "event": "listed",
                          "domain": "yourdomain.com",
                          "account_id": "123",
                          "list": "Spamhaus DBL",
                          "name": "Spamhaus DBL"
                        }
                      ],
                      "paging": {}
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Domain_Blocklist_Monitoring_github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "reason for bad request"
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/monitoring/domains/{domain}/blocklists": {
      "get": {
        "tags": [
          "Domain Blocklist Monitoring"
        ],
        "summary": "Get Lists Domain is Listed in",
        "description": "Get blocklists that the domain is listed in",
        "operationId": "GET-v1-monitoring-domains--domain--blocklists",
        "parameters": [
          {
            "name": "domain",
            "in": "path",
            "description": "The domain name",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Domain_Blocklist_Monitoring_github.com-mailgun-dbl_monitor-api-BlocklistResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "blocklists": [
                        {
                          "list": "Spamhaus DBL",
                          "name": "Spamhaus DBL",
                          "first_seen": "2023-01-02T02:14:27Z",
                          "last_seen": "2023-09-06T18:45:51Z",
                          "comments": [
                            ""
                          ]
                        },
                        {
                          "list": "SURBL",
                          "name": "SURBL",
                          "first_seen": "2023-01-02T02:14:27Z",
                          "last_seen": "2023-09-06T18:45:51Z",
                          "comments": [
                            ""
                          ]
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Domain_Blocklist_Monitoring_github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "reason for bad request"
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/monitoring/domains/{domain}/events": {
      "get": {
        "tags": [
          "Domain Blocklist Monitoring"
        ],
        "summary": "Get Events for Domain",
        "description": "Get events for a specific domain",
        "operationId": "GET-v1-monitoring-domains--domain--events",
        "parameters": [
          {
            "name": "domain",
            "in": "path",
            "description": "The domain name",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Domain_Blocklist_Monitoring_github.com-mailgun-dbl_monitor-api-EventsResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "events": [
                        {
                          "timestamp": "0001-01-01T00:00:00Z",
                          "event": "delisted",
                          "domain": "yourdomain.com",
                          "list": "Spamhaus DBL",
                          "name": "Spamhaus DBL"
                        },
                        {
                          "timestamp": "0001-01-01T00:00:00Z",
                          "event": "listed",
                          "domain": "yourdomain.com",
                          "list": "Spamhaus DBL",
                          "name": "Spamhaus DBL"
                        }
                      ],
                      "paging": {}
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Domain_Blocklist_Monitoring_github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "reason for bad request"
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/spamtraps/totals": {
      "get": {
        "summary": "Get Spam Trap Hits Total",
        "description": "Deprecated: Use /v2/spamtraps endpoint without dimension parameter.",
        "operationId": "GET-v1-spamtraps-totals",
        "parameters": [
          {
            "name": "start",
            "in": "query",
            "description": "The start date in UTC (format YYYY-MM-DD) of the timeframe for which you wish to see data.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "end",
            "in": "query",
            "description": "The end date in UTC (format YYYY-MM-DD) of the timeframe for which you wish to see data.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sortby",
            "in": "query",
            "description": "Acceptable values include date, totals, domain, subject, ip, and from. Defaults to date.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "groupby",
            "in": "query",
            "description": "Use this field to group results. Acceptable values include domain, subject, ip, and from.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "subject",
            "in": "query",
            "description": "Use this field to filter results by email subject(s).",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "domain",
            "in": "query",
            "description": "Use this field to filter results by domain(s).",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "ip",
            "in": "query",
            "description": "Use this field to filter results by ip(s).",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "from",
            "in": "query",
            "description": "Use this field to filter results by from address.",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Spamtraps_Analytics_Service_github.com-mailgun-spamtraps-api-GroupedTotalsResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "paging": {}
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Spamtraps_Analytics_Service_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "deprecated": true,
        "tags": [
          "openapi-spamtraps_other"
        ],
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/spamtraps/filters": {
      "get": {
        "summary": "Get Spam Trap Filters",
        "description": "Get a list of domain, ip, subject, From that hit spamtraps, like spamtraps totals but no counts. Deprecated: Use /v2/spamtraps endpoint.",
        "operationId": "GET-v1-spamtraps-filters",
        "parameters": [
          {
            "name": "start",
            "in": "query",
            "description": "The start date in UTC (format YYYY-MM-DD) of the timeframe for which you wish to see data.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "end",
            "in": "query",
            "description": "The end date in UTC (format YYYY-MM-DD) of the timeframe for which you wish to see data.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sortby",
            "in": "query",
            "description": "Acceptable values include date, totals, domain, subject, ip, and from. Defaults to date.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "groupby",
            "in": "query",
            "description": "Use this field to group results. Acceptable values include domain, subject, ip, and from.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "subject",
            "in": "query",
            "description": "Use this field to filter results by email subject(s).",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "domain",
            "in": "query",
            "description": "Use this field to filter results by domain(s).",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "ip",
            "in": "query",
            "description": "Use this field to filter results by ip(s).",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "from",
            "in": "query",
            "description": "Use this field to filter results by from address.",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Spamtraps_Analytics_Service_github.com-mailgun-spamtraps-api-FiltersResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "items": [
                        "example.com",
                        "domain.com"
                      ],
                      "paging": {}
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Spamtraps_Analytics_Service_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "deprecated": true,
        "tags": [
          "openapi-spamtraps_other"
        ],
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v1/spamtraps": {
      "get": {
        "tags": [
          "Spam Traps Monitoring"
        ],
        "summary": "Get Spam Trap Hits",
        "description": "Use this endpoint to understand how much of your mail being sent to known spam traps. This endpoint returns daily spam trap hit counts for a provided timerange, categorized by trap type. Deprecated: Use /v2/spamtraps endpoint.",
        "operationId": "GET-v1-spamtraps",
        "parameters": [
          {
            "name": "start",
            "in": "query",
            "description": "The start date in UTC (format YYYY-MM-DD) of the timeframe for which you wish to see data.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "end",
            "in": "query",
            "description": "The end date in UTC (format YYYY-MM-DD) of the timeframe for which you wish to see data.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sortby",
            "in": "query",
            "description": "Acceptable values include date, totals, domain, subject, ip, and from. Defaults to date.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "groupby",
            "in": "query",
            "description": "Use this field to group results. Acceptable values include domain, subject, ip, and from.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "subject",
            "in": "query",
            "description": "Use this field to filter results by email subject(s).",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "domain",
            "in": "query",
            "description": "Use this field to filter results by domain(s).",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "ip",
            "in": "query",
            "description": "Use this field to filter results by ip(s).",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "from",
            "in": "query",
            "description": "Use this field to filter results by from address.",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Limits the number of items returned in a request",
            "required": true,
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Spamtraps_Analytics_Service_github.com-mailgun-spamtraps-api-DatedTotalsResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "items": [
                        {
                          "date": "2022-01-01",
                          "pristine": 34,
                          "recycled": 258,
                          "typo": 178,
                          "total": 470
                        },
                        {
                          "date": "2022-01-02",
                          "pristine": 32,
                          "recycled": 75,
                          "typo": 150,
                          "total": 257
                        }
                      ],
                      "paging": {}
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Spamtraps_Analytics_Service_github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "reason for bad request"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": true,
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v2/spamtraps": {
      "get": {
        "tags": [
          "Spam Traps Monitoring"
        ],
        "summary": "List Spam Trap Hits",
        "description": "Use this endpoint to understand how much of your mail being sent to known spam traps. This endpoint returns daily spam trap hit counts for a provided timerange, categorized by trap type.",
        "operationId": "GET-v2-spamtraps",
        "parameters": [
          {
            "name": "start",
            "in": "query",
            "description": "The start timestamp in RFC3339 format(YYYY-MM-DDThh:mm:ssZ) of the timeframe for which you wish to see data. Default is 7 days ago",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "end",
            "in": "query",
            "description": "The end timestamp in RFC3339 format(YYYY-MM-DDThh:mm:ssZ) of the timeframe for which you wish to see data. Default is now",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "dimension",
            "in": "query",
            "description": "Use this field to group results.",
            "schema": {
              "type": "string",
              "enum": [
                "timestamp",
                "domain_name",
                "ip",
                "sender",
                "from",
                "tags",
                "subaccount"
              ],
              "x-enumDescriptions": {
                "timestamp": "Group by date",
                "domain_name": "Group by domain",
                "ip": "Group by IP address",
                "sender": "Group by sender address",
                "from": "Group by from",
                "tags": "Group by tags",
                "subaccount": "Group by subaccount"
              }
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "Sort field and order, in form of 'field:order'",
            "schema": {
              "type": "string",
              "default": "same as dimension"
            }
          },
          {
            "name": "ip",
            "in": "query",
            "description": "Use this field to filter results by ip(s).",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "domain",
            "in": "query",
            "description": "Use this field to filter results by domain(s).",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "sender",
            "in": "query",
            "description": "Use this field to filter results by sender email address.",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "from",
            "in": "query",
            "description": "Use this field to filter results by from address.",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Limits the number of items returned in a request",
            "required": true,
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "include_subaccounts",
            "in": "query",
            "description": "Include subaccounts",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Spamtraps_Analytics_Service_github.com-mailgun-spamtraps-api-ListCountsResp"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "items": [
                        {
                          "ip": "10.0.0.1",
                          "pristine": 34,
                          "recycled": 258,
                          "typo": 178,
                          "total": 470
                        },
                        {
                          "ip": "10.0.0.2",
                          "pristine": 32,
                          "recycled": 75,
                          "typo": 150,
                          "total": 257
                        }
                      ],
                      "paging": {},
                      "total": 2
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A 400 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Spamtraps_Analytics_Service_github.com-mailgun-scaffold-httpapi-GenericResponse"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "message": "reason for bad request"
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v4/inbox/seedlists": {
      "get": {
        "tags": [
          "Inbox Placement"
        ],
        "summary": "List Seed Lists",
        "operationId": "GET-v4-inbox-seedlists",
        "parameters": [
          {
            "name": "time_after",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "time_before",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "cursor",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "ascending",
            "in": "query",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Placement_Testing_github.com-mailgun-scaffold-httpapi-Response"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "total": 1,
                      "items": [
                        {
                          "kid": "",
                          "id": "",
                          "accountid": "",
                          "type": "",
                          "createdat": "0001-01-01T00:00:00Z",
                          "updatedat": "0001-01-01T00:00:00Z",
                          "lastresult": "0001-01-01T00:00:00Z",
                          "targetemail": "",
                          "sendingdomains": [],
                          "touched": false,
                          "testprefix": "",
                          "seedfilter": "",
                          "providerfilter": [],
                          "mailinglist": "",
                          "previousmailinglist": "",
                          "createdts": 0,
                          "tags": {},
                          "stats": {},
                          "seedquality": 0,
                          "isautogenerated": false,
                          "version": 0,
                          "originseedsemails": [],
                          "regenneeded": false,
                          "regenat": "0001-01-01T00:00:00Z",
                          "maxseedsperprovider": 0
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      },
      "post": {
        "tags": [
          "Inbox Placement"
        ],
        "summary": "Generate a New Seed List",
        "operationId": "POST-v4-inbox-seedlists",
        "parameters": [
          {
            "name": "sending_domains",
            "in": "query",
            "description": "Deprecated.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "provider_filter",
            "in": "query",
            "description": "Array of provider domains. Omitting means all providers.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "remote_id",
            "in": "query",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Placement_Testing_github.com-mailgun-spy-internal-model-KeyBox"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "created_at": "0001-01-01T00:00:00Z",
                      "updated_at": "0001-01-01T00:00:00Z",
                      "last_result_at": "0001-01-01T00:00:00Z",
                      "regen_at": "0001-01-01T00:00:00Z"
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v4/inbox/seedlists/a": {
      "get": {
        "tags": [
          "Inbox Placement"
        ],
        "summary": "List Available Attributes for Seed Lists",
        "operationId": "GET-v4-inbox-seedlists-a",
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Placement_Testing_github.com-mailgun-scaffold-httpapi-Response"
                },
                "examples": {
                  "Example": {}
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v4/inbox/seedlists/a/{attribute}": {
      "get": {
        "tags": [
          "Inbox Placement"
        ],
        "summary": "Get List of Values for Seed List Attribute",
        "operationId": "GET-v4-inbox-seedlists-a--attribute-",
        "parameters": [
          {
            "name": "attribute",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Placement_Testing_github.com-mailgun-scaffold-httpapi-Response"
                },
                "examples": {
                  "Example": {}
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v4/inbox/seedlists/_filters": {
      "get": {
        "tags": [
          "Inbox Placement"
        ],
        "summary": "Get List of Available Seed List Filters",
        "operationId": "GET-v4-inbox-seedlists--filters",
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Placement_Testing_github.com-mailgun-scaffold-httpapi-Response"
                },
                "examples": {
                  "Example": {}
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v4/inbox/seedlists/{address}": {
      "get": {
        "tags": [
          "Inbox Placement"
        ],
        "summary": "Get Seed List",
        "operationId": "GET-v4-inbox-seedlists--address-",
        "parameters": [
          {
            "name": "address",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Placement_Testing_github.com-mailgun-scaffold-httpapi-Response"
                },
                "examples": {
                  "Example": {}
                }
              }
            }
          },
          "404": {
            "description": "A 404 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Placement_Testing_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      },
      "put": {
        "tags": [
          "Inbox Placement"
        ],
        "summary": "Update Seed List",
        "operationId": "PUT-v4-inbox-seedlists--address-",
        "parameters": [
          {
            "name": "address",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "provider_filter",
            "in": "query",
            "description": "Array of provider domains. Omitting means no changes.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "regen",
            "in": "query",
            "description": "Regenerate the mailing_list.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "sending_domains",
            "in": "query",
            "description": "Deprecated.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Placement_Testing_github.com-mailgun-spy-internal-model-KeyBox"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "created_at": "0001-01-01T00:00:00Z",
                      "updated_at": "0001-01-01T00:00:00Z",
                      "last_result_at": "0001-01-01T00:00:00Z",
                      "regen_at": "0001-01-01T00:00:00Z"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "A 404 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Placement_Testing_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      },
      "delete": {
        "tags": [
          "Inbox Placement"
        ],
        "summary": "Delete a Seed List",
        "operationId": "DELETE-v4-inbox-seedlists--address-",
        "parameters": [
          {
            "name": "address",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response"
          },
          "404": {
            "description": "A 404 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Placement_Testing_github.com-mailgun-scaffold-httpapi-GenericResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    },
    "/v4/inbox/results": {
      "get": {
        "tags": [
          "Inbox Placement"
        ],
        "summary": "List Results",
        "description": "Get the details for all placement test results.",
        "operationId": "GET-v4-inbox-results",
        "parameters": [
          {
            "name": "sender",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "subject",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "provider",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "target_email",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "time_after",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "time_before",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "cursor",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "ascending",
            "in": "query",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A 200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Inbox_Placement_Testing_github.com-mailgun-scaffold-httpapi-Response"
                },
                "examples": {
                  "Example": {
                    "value": {
                      "items": [
                        {
                          "basictestresult": {
                            "rid": "",
                            "id": "",
                            "accountid": "",
                            "type": "",
                            "keyboxid": "",
                            "keyboxemail": "",
                            "subject": "",
                            "sender": "",
                            "prefix": "",
                            "createdat": "0001-01-01T00:00:00Z",
                            "updatedat": "0001-01-01T00:00:00Z",
                            "status": "",
                            "createdts": 0,
                            "headers": {},
                            "campaignid": "",
                            "sharingenabled": false,
                            "sharingid": "",
                            "sharingexpiry": "0001-01-01T00:00:00Z"
                          },
                          "box": {
                            "kid": "",
                            "id": "",
                            "accountid": "",
                            "type": "",
                            "createdat": "0001-01-01T00:00:00Z",
                            "updatedat": "0001-01-01T00:00:00Z",
                            "lastresult": "0001-01-01T00:00:00Z",
                            "targetemail": "",
                            "sendingdomains": [],
                            "touched": false,
                            "testprefix": "",
                            "seedfilter": "",
                            "providerfilter": [],
                            "mailinglist": "",
                            "previousmailinglist": "",
                            "createdts": 0,
                            "tags": {},
                            "stats": {},
                            "seedquality": 0,
                            "isautogenerated": false,
                            "version": 0,
                            "originseedsemails": [],
                            "regenneeded": false,
                            "regenat": "0001-01-01T00:00:00Z",
                            "maxseedsperprovider": 0
                          },
                          "messages": [],
                          "spamassassin": {
                            "isspam": false,
                            "score": 0,
                            "required": 0,
                            "rules": []
                          },
                          "stats": {},
[...]
